GNU bug report logs - #27253
25.2; Suggestion: On startup after Emacs version change, package should offer to correct invalid bytecode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: nljlistbox2@HIDDEN (N. Jackson); Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 27253 <at> debbugs.gnu.org and nljlistbox2@HIDDEN (N. Jackson) Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 27253 <at> debbugs.gnu.org:


Received: (at 27253) by debbugs.gnu.org; 16 Jun 2022 11:51:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 16 07:51:06 2022
Received: from localhost ([127.0.0.1]:40900 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o1o1i-00005r-4I
	for submit <at> debbugs.gnu.org; Thu, 16 Jun 2022 07:51:06 -0400
Received: from quimby.gnus.org ([95.216.78.240]:43720)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o1o1g-00005E-Eo
 for 27253 <at> debbugs.gnu.org; Thu, 16 Jun 2022 07:51:05 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=YDQjgFfrxs2WkxXtlXpPuGRO3tXEgiHjHWId+YQzrnY=; b=DU+XImWxYfuJm0FP9RKRCsKYME
 rzYsFTjWEDXXrkHEiMJZpiQv0LKwvQhNKtWbP7oYayE8wK9g+8cGv8YbEQqmXRjYptKB0xWniWfhZ
 EW/fCs/kcUlIomzrHVCAK2Lpb43wmt2XaZQQVqiLYyOYZo6OaZJcCfQxdfHVu6zNy9vc=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o1o1W-0006cF-6n; Thu, 16 Jun 2022 13:50:56 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#27253: 25.2; Suggestion: On startup after Emacs version
 change, package should offer to correct invalid bytecode
References: <87shjeo42b.fsf@HIDDEN> <87pmkcht9m.fsf@HIDDEN>
 <87letxg9li.fsf@HIDDEN> <jwvk09hvoiq.fsf-monnier+emacs@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAIVBMVEX09Nb7++Le3sFj
 Y1SKiXUGBgK4uJ8tLSVHRjt/f23///+3Y8xXAAAAAWJLR0QKaND0VgAAAAd0SU1FB+YGEAsfB4z7
 hNwAAAGvSURBVDjLdZRNT8JAEIZnkFSOu0B65kOCV4OaeKPCL6AMcFSM0SMayxk1Gn62M7Nttwvy
 HnbD+7DztW0BRAbBehlr0aoPXUR7IPVbyZGvAAcMsOqhLgZvkiCHZgGIujElYNdiXDyKO5l20QCc
 fwwpwdcF/8tkC15aRBsQQERJnxhAk+bGIhvvknrIYEQMAPsMoJ3lQE6w5gbrmawD/jELAPsChgrQ
 gzijCvAn0h86AGf7PZXi5CVg/ZwCgyqQ0DNjxK+1SrBwYAduuv3CTztazBYU4EV54M2N6ApkViCN
 5dpAAViR90NQd97yCIBLPb8UYKoAXl0HvKX3Wu4OKmTeNC8cEALw4nqOeetAw4M8FLQPQJ8CwOXv
 quWmqIAf1nP61Ak28ua2Cu57vWfadqqAftvlBN4DQNd++iHwkhvsMUjdHL9pNWJNp9MHB1ZrBR8x
 bSovR6+xeqhlenuRTrdUfQwKrmpxCPgW3YnuwQmpzOWI+LHxpjQJRVXLr3+BxDMBcKGk8xKg2xTc
 xh4UXwYBvxDprQRgMhrd8vZ0N84j5Z8MyMfA73LRG8IJ2RM+2j+QnMAKWUIZ/wAAACV0RVh0ZGF0
 ZTpjcmVhdGUAMjAyMi0wNi0xNlQxMTozMTowNyswMDowMJg5DYQAAAAldEVYdGRhdGU6bW9kaWZ5
 ADIwMjItMDYtMTZUMTE6MzE6MDcrMDA6MDDpZLU4AAAAAElFTkSuQmCC
X-Now-Playing: Jana Rush's _Planet Mu 25_: "Mynd Fuc"
Date: Thu, 16 Jun 2022 13:50:48 +0200
In-Reply-To: <jwvk09hvoiq.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Wed, 15 Jun 2022 13:18:29 -0400")
Message-ID: <87r13oesiv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Stefan Monnier <monnier@HIDDEN> writes: > There
 should be a command/function to recompile an installed package, > and maybe
 another to do the same for all packages, yes. OK; I've now added two commands
 for that to Emacs 29. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 27253
Cc: "N. Jackson" <nljlistbox2@HIDDEN>, 27253 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Monnier <monnier@HIDDEN> writes:

> There should be a command/function to recompile an installed package,
> and maybe another to do the same for all packages, yes.

OK; I've now added two commands for that to Emacs 29.

> I don't think the OP's situation would be best served by recompiling
> everything, because usually recompilation is only needed for those few
> packages that were compiled a *long* time ago ( where I'd expect most
> packages have probably been recompiled since then because of
> package updates).
>
> But there's definitely room for improvement along the path of:
> detecting the presence of a file that's too old, figuring out which
> package needs to be recompiled, and then recompiling it.

I'm not sure there's any way of doing that that would be reliable enough
not to be annoying?  That is, we can determine if an .elc file is
readable, but we can't really detect if it's using a macro that has
changed so much that the .elc file should be rebuilt...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27253; Package emacs. Full text available.

Message received at 27253 <at> debbugs.gnu.org:


Received: (at 27253) by debbugs.gnu.org; 15 Jun 2022 17:18:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 15 13:18:41 2022
Received: from localhost ([127.0.0.1]:39743 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o1WfB-0001qC-36
	for submit <at> debbugs.gnu.org; Wed, 15 Jun 2022 13:18:41 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:60440)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1o1Wf8-0001pv-3f
 for 27253 <at> debbugs.gnu.org; Wed, 15 Jun 2022 13:18:40 -0400
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 0EB1180784;
 Wed, 15 Jun 2022 13:18:32 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 9504C8019D;
 Wed, 15 Jun 2022 13:18:30 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1655313510;
 bh=7h1kDLS2eQoT4uVstKwo4OLGXHaS+1n83S/QUFNzSL4=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=ZEiy87cMOM1D8Dk3HIq7Fz441lZYzPQvgptgpi5kZ7DVOK3T8jtAS57ALUX4mSLrt
 WfusMeag6IoYv4h2+Heu1zzuoieA5Qmxi0HChDdStLDd5rYjw1sAYNjbmeUPIgmHbQ
 Y28HpiONxDZM0eHKopI7yskeuiaerdewCkpWtSkJ/wyjctlJr3E95moQbbZt9NmfRq
 VQu8z4rnknHgo9ZHfD8na1ns+2EzxMAswVDiEPZ0H4HxD4OoymzVuMDJR8sPPYp1D0
 4khjFKTBait+50AM7LmHl4B7HoBXDkn43V0FOk/ynhSxmi536usY+DPnVMxghK8WtX
 ntIdPZP1uXKaw==
Received: from lechazo (lechon.iro.umontreal.ca [132.204.27.242])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 7FDE11203A5;
 Wed, 15 Jun 2022 13:18:30 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#27253: 25.2; Suggestion: On startup after Emacs version
 change, package should offer to correct invalid bytecode
Message-ID: <jwvk09hvoiq.fsf-monnier+emacs@HIDDEN>
References: <87shjeo42b.fsf@HIDDEN> <87pmkcht9m.fsf@HIDDEN>
 <87letxg9li.fsf@HIDDEN>
Date: Wed, 15 Jun 2022 13:18:29 -0400
In-Reply-To: <87letxg9li.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 15 Jun 2022 18:44:25 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL 0.200 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain T_SCC_BODY_TEXT_LINE    -0.01 -
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 27253
Cc: "N. Jackson" <nljlistbox2@HIDDEN>, 27253 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen [2022-06-15 18:44:25] wrote:
> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>> There should perhaps be a command to recompile all installed packages?
>> Or does that exist somewhere?  (I don't see any such command...)
> Perhaps Stefan knows; added to the CCs.

There should be a command/function to recompile an installed package,
and maybe another to do the same for all packages, yes.

I don't think the OP's situation would be best served by recompiling
everything, because usually recompilation is only needed for those few
packages that were compiled a *long* time ago ( where I'd expect most
packages have probably been recompiled since then because of
package updates).

But there's definitely room for improvement along the path of:
detecting the presence of a file that's too old, figuring out which
package needs to be recompiled, and then recompiling it.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27253; Package emacs. Full text available.

Message received at 27253 <at> debbugs.gnu.org:


Received: (at 27253) by debbugs.gnu.org; 15 Jun 2022 16:44:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 15 12:44:40 2022
Received: from localhost ([127.0.0.1]:39708 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o1W8G-0007Bp-5k
	for submit <at> debbugs.gnu.org; Wed, 15 Jun 2022 12:44:40 -0400
Received: from quimby.gnus.org ([95.216.78.240]:36760)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o1W8C-0007BY-2u
 for 27253 <at> debbugs.gnu.org; Wed, 15 Jun 2022 12:44:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=C/AcDk+cKkIOwDIVpsA1HDC3i/lIRDGUGKgAYp6zbrU=; b=kcYYWu3fNN14wiz5RWAJAGzz/E
 xoUwztGPNWQqMIbuh3qhQPkq9kM7P9IGOkQU2XCS9in4vJYywTE5I1ScZSq12/FWRpNzdb4dKKvXo
 jRQQKd0PSgDLIrUjlp8W5sbl7iFRs70pC7eRr0uJ2lHcFgu7FuLAvenkxzhAskvQzmAc=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o1W82-0004mB-1A; Wed, 15 Jun 2022 18:44:28 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: nljlistbox2@HIDDEN (N. Jackson)
Subject: Re: bug#27253: 25.2; Suggestion: On startup after Emacs version
 change, package should offer to correct invalid bytecode
References: <87shjeo42b.fsf@HIDDEN> <87pmkcht9m.fsf@HIDDEN>
X-Now-Playing: Thick Pigeon's _Miranda Dali_: "Tracy + Pansy"
Date: Wed, 15 Jun 2022 18:44:25 +0200
In-Reply-To: <87pmkcht9m.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 17 May 2022 21:08:05 +0200")
Message-ID: <87letxg9li.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > There should
 perhaps be a command to recompile all installed packages? > Or does that exist
 somewhere? (I don't see any such command...) Perhaps Stefan knows; added
 to the CCs. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 27253
Cc: Stefan Monnier <monnier@HIDDEN>, 27253 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> There should perhaps be a command to recompile all installed packages?
> Or does that exist somewhere?  (I don't see any such command...)

Perhaps Stefan knows; added to the CCs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27253; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 27253 <at> debbugs.gnu.org:


Received: (at 27253) by debbugs.gnu.org; 17 May 2022 19:08:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 17 15:08:16 2022
Received: from localhost ([127.0.0.1]:57953 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nr2YK-00040X-Lv
	for submit <at> debbugs.gnu.org; Tue, 17 May 2022 15:08:16 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56942)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nr2YI-00040G-HV
 for 27253 <at> debbugs.gnu.org; Tue, 17 May 2022 15:08:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=dw/W+u5B2lEemkkEiD0SMIpvq3JFnUlAQSL6ZsrvE2o=; b=llNyl5feYPPQ0xQMhHWSlilg0O
 6Er244a3NjjiOQXsFSFJsxd1+s0GzpLxaX9QM+eboxqrTFO9Wzp8Wbg3FMRVakaxibLIFjvceisbP
 HD92QYeL6f8raVfDqydE9J3+JtJ2H1ZbaHVnspbZiH56Je0lxQPdZWStih3ig8rJM2/k=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nr2YA-00065X-1C; Tue, 17 May 2022 21:08:08 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: nljlistbox2@HIDDEN (N. Jackson)
Subject: Re: bug#27253: 25.2; Suggestion: On startup after Emacs version
 change, package should offer to correct invalid bytecode
References: <87shjeo42b.fsf@HIDDEN>
X-Now-Playing: David Bowie's _Conversation Piece (3): Conversation Pieces_:
 "Janine "
Date: Tue, 17 May 2022 21:08:05 +0200
In-Reply-To: <87shjeo42b.fsf@HIDDEN> (N. Jackson's message of
 "Mon, 05 Jun 2017 11:19:08 -0400")
Message-ID: <87pmkcht9m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: nljlistbox2@HIDDEN (N. Jackson) writes: > It would be nice
 on Emacs startup, if Package could detect > incompatible byte code in packages
 compiled with a different > version of Emacs, and offer to recompile them.
 > > What happens now in thi [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 27253
Cc: 27253 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

nljlistbox2@HIDDEN (N. Jackson) writes:

> It would be nice on Emacs startup, if Package could detect
> incompatible byte code in packages compiled with a different
> version of Emacs, and offer to recompile them.
>
> What happens now in this situation is that on startup a message is
> displayed complaining of invalid byte code in the user's init file
> which is slightly confusing, and not very helpful. [Or, at least,
> not as helpful as offering to recompile the offending package.]

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Do you have an example of such a message on startup?

In general, it's not just invalid bytecode that's a problem, but also
other things like macros that have changed definitions (so the old
.elc doesn't quite work right).  But that's hard to detect.

There should perhaps be a command to recompile all installed packages?
Or does that exist somewhere?  (I don't see any such command...)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27253; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Jun 2017 15:19:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 05 11:19:32 2017
Received: from localhost ([127.0.0.1]:57727 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dHtn1-0001dl-Iz
	for submit <at> debbugs.gnu.org; Mon, 05 Jun 2017 11:19:32 -0400
Received: from eggs.gnu.org ([208.118.235.92]:35964)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nljlistbox2@HIDDEN>) id 1dHtmz-0001dY-5w
 for submit <at> debbugs.gnu.org; Mon, 05 Jun 2017 11:19:29 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <nljlistbox2@HIDDEN>) id 1dHtmr-0005eS-JS
 for submit <at> debbugs.gnu.org; Mon, 05 Jun 2017 11:19:24 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,T_DKIM_INVALID autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:48669)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <nljlistbox2@HIDDEN>)
 id 1dHtmr-0005e9-GB
 for submit <at> debbugs.gnu.org; Mon, 05 Jun 2017 11:19:21 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55166)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <nljlistbox2@HIDDEN>) id 1dHtmo-00077n-N0
 for bug-gnu-emacs@HIDDEN; Mon, 05 Jun 2017 11:19:21 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <nljlistbox2@HIDDEN>) id 1dHtmk-0005X4-KC
 for bug-gnu-emacs@HIDDEN; Mon, 05 Jun 2017 11:19:18 -0400
Received: from mail-it0-x235.google.com ([2607:f8b0:4001:c0b::235]:38533)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <nljlistbox2@HIDDEN>)
 id 1dHtmk-0005UU-E4
 for bug-gnu-emacs@HIDDEN; Mon, 05 Jun 2017 11:19:14 -0400
Received: by mail-it0-x235.google.com with SMTP id r63so79738312itc.1
 for <bug-gnu-emacs@HIDDEN>; Mon, 05 Jun 2017 08:19:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=EryrqvonqfSUlcD4pGUYRQ4bOpN23Ofq51c082AAYI8=;
 b=DoGLOaBkIYpPntXhhEqtFXRk3U45eVnuNhdEGhJAEwE91hiOrWwzx+6uy+u2n9fq/8
 cnJWBFC2n6Ci+BzO76pV5QrCGuKacTax+4xtXCUKQeL8vijMjyTEm8FDVg817IdZduGo
 fM/iSLvLJecKGQ02NvAke2wUWZN7dTarZM8/v1JYGbl8GTbj36UyHBcG5ishHP2XWDCC
 hqTX6LVJGrzU0vhYx63lcgtsGA0pf+k97HXr86CQQ2Vc7fXyu5kDjHV1dbal3DVeZ/qX
 Q2Xbr7vo173NWAxTTh5l27ikf4GInsPqzY76icU9DICk/4/5LEU2KES3FUjrYQhMlaj9
 91Kw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=EryrqvonqfSUlcD4pGUYRQ4bOpN23Ofq51c082AAYI8=;
 b=G2JxBBQ0l06l9CmS15CIqokaMIvbSnkP+nM+NmgYubtsq8ikQkX8ftl79QGZo+3T9S
 02N4IaYpQzjlIZ7g60JWGY+kcKgzaIZVhLtuydTgFzVoDU/slDAfaoA+kpYOXgeyRmPT
 yaaXPzTMR1+PkveeOAJlIgIdNl3qD9vWaYQVMZJNQNgozfo5q+HiZhNgCiFO/ihQBIYq
 Oe6Q6x5b0yDgtiG9JS08qVoLolSXaEC1DNc4ynMMpZL+wgb8hWzF5tlHXt4CnC1a8A51
 JC1Y08XoxcJslR2ZISt6Rv+Loh5Zn97HUVObFwJ3qDA88EMsEKrHk9nODFltYZpoRszQ
 1fOw==
X-Gm-Message-State: AODbwcDKwywzA+Y8/2QphkJ1F736UhDX5eO0+eL/jiW+oof2GPddHVAT
 vvpHxBWcqCWEHcNk
X-Received: by 10.36.66.196 with SMTP id i187mr11753700itb.34.1496675951838;
 Mon, 05 Jun 2017 08:19:11 -0700 (PDT)
Received: from moondust.localdomain.nodomain.none ([72.143.113.194])
 by smtp.gmail.com with ESMTPSA id m133sm525278ioa.19.2017.06.05.08.19.10
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 05 Jun 2017 08:19:11 -0700 (PDT)
From: nljlistbox2@HIDDEN (N. Jackson)
To: bug-gnu-emacs@HIDDEN
Subject: 25.2;
 Suggestion: On startup after Emacs version change, package should
 offer to correct invalid bytecode
Date: Mon, 05 Jun 2017 11:19:08 -0400
Message-ID: <87shjeo42b.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)

It would be nice on Emacs startup, if Package could detect
incompatible byte code in packages compiled with a different
version of Emacs, and offer to recompile them.

What happens now in this situation is that on startup a message is
displayed complaining of invalid byte code in the user's init file
which is slightly confusing, and not very helpful. [Or, at least,
not as helpful as offering to recompile the offending package.]


In GNU Emacs 25.2.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.22.11)
 of 2017-04-26 built on moondust.localdomain
Windowing system distributor 'Fedora Project', version 11.0.11903000
System Description:	Fedora release 25 (Twenty Five)

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GSETTINGS NOTIFY ACL
LIBSELINUX GNUTLS LIBXML2 FREETYPE LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11

Important settings:
  value of $LANG: en_CA.UTF-8
  value of $XMODIFIERS: @im=none
  locale-coding-system: utf-8-unix

Major mode: Group

Minor modes in effect:
  diff-auto-refine-mode: t
  TeX-PDF-mode: t
  pdf-occur-global-minor-mode: t
  gnus-undo-mode: t
  shell-dirtrack-mode: t
  recentf-mode: t
  display-battery-mode: t
  display-time-mode: t
  show-paren-mode: t
  savehist-mode: t
  save-place-mode: t
  electric-pair-mode: t
  desktop-save-mode: t
  delete-selection-mode: t
  cua-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  temp-buffer-resize-mode: t
  buffer-read-only: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  global-visual-line-mode: t
  visual-line-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-contacts hides ~/.emacs.d/modules/org-contacts
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-habit hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-habit
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-python hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-python
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-clojure hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-clojure
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ox-md hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ox-md
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-macs hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-macs
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ox-odt hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ox-odt
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ox-texinfo hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ox-texinfo
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-protocol hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-protocol
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-io hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-io
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-list hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-list
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-scheme hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-scheme
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-docview hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-docview
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-latex hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-latex
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ox-html hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ox-html
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-ctags hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-ctags
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-src hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-src
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-octave hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-octave
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-w3m hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-w3m
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-bibtex hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-bibtex
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-info hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-info
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ox-beamer hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ox-beamer
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-maxima hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-maxima
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-table hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-table
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-R hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-R
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ox-publish hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ox-publish
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-mscgen hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-mscgen
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-scala hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-scala
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-keys hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-keys
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-css hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-css
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-haskell hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-haskell
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-picolisp hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-picolisp
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-timer hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-timer
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-feed hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-feed
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-emacs-lisp hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-emacs-lisp
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-mhe hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-mhe
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-exp hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-exp
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-rmail hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-rmail
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-attach hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-attach
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-lilypond hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-lilypond
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-version hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-version
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-makefile hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-makefile
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-sql hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-sql
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-lob hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-lob
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-java hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-java
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-loaddefs hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-loaddefs
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-element hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-element
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-id hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-id
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-crypt hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-crypt
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-plot hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-plot
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-ruby hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-ruby
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-matlab hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-matlab
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-ditaa hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-ditaa
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-irc hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-irc
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-gnus hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-gnus
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-C hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-C
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-comint hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-comint
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-colview hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-colview
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-tangle hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-tangle
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-dot hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-dot
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-mobile hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-mobile
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-eshell hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-eshell
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-sass hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-sass
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-gnuplot hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-gnuplot
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ox-icalendar hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ox-icalendar
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ox-man hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ox-man
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-capture hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-capture
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-plantuml hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-plantuml
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-footnote hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-footnote
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-clock hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-clock
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-js hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-js
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ox-latex hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ox-latex
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ox-ascii hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ox-ascii
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-ref hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-ref
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-ocaml hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-ocaml
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-agenda hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-agenda
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-indent hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-indent
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-core hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-core
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-pcomplete hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-pcomplete
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-datetree hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-datetree
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-ledger hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-ledger
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-shen hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-shen
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-entities hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-entities
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-macro hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-macro
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-mouse hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-mouse
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-sqlite hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-sqlite
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ox-org hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ox-org
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-screen hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-screen
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-asymptote hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-asymptote
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-eval hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-eval
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-archive hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-archive
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ox hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ox
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-org hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-org
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-perl hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-perl
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-faces hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-faces
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-bbdb hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-bbdb
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-compat hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-compat
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-lisp hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-lisp
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-install hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-install
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-awk hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-awk
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-calc hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-calc
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-inlinetask hides /data/projects/vc/emacs/emacs-25.2/lisp/org/org-inlinetask
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-table hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-table
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-fortran hides /data/projects/vc/emacs/emacs-25.2/lisp/org/ob-fortran
/home/nlj/.emacs.d/elpa/soap-client-3.1.2/soap-client hides /data/projects/vc/emacs/emacs-25.2/lisp/net/soap-client
/home/nlj/.emacs.d/elpa/soap-client-3.1.2/soap-inspect hides /data/projects/vc/emacs/emacs-25.2/lisp/net/soap-inspect

Features:
(shadow sort bbdb-message mail-extr emacsbug sendmail mm-archive
url-http url-gw url-cache url-auth url-handlers nnrss mm-url url
url-proxy url-privacy url-expand url-methods url-history url-cookie
url-domsuf url-util url-parse url-vars nndraft nnmh utf-7 server
pinentry epa-file epa derived network-stream nsm starttls nnfolder
bbdb-gnus bbdb-mua nnnil gnus-agent gnus-srvr gnus-score score-mode
nnvirtual gnus-msg nntp gnus-cache latexenc preview prv-emacs view
cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine
cc-vars cc-defs cdlatex texmathp vc-git diff-mode font-latex plain-tex
tex-buf latex tex-ispell tex-style tex dbus xml tex-mode flyspell ispell
ox-koma-letter ox-odt rng-loc rng-uri rng-parse rng-match rng-dt
rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok nxml-util
ox-icalendar ox-html table ox-beamer ox-latex ox-ascii ox-publish ox
pdf-occur ibuf-ext ibuffer tablist tablist-filter semantic/wisent/comp
semantic/wisent semantic/wisent/wisent semantic/util-modes semantic/util
semantic semantic/tag semantic/lex semantic/fw mode-local cedet
pdf-isearch let-alist pdf-misc imenu pdf-tools compile cus-edit pdf-view
bookmark pp pdf-cache pdf-info tq pdf-util org-contacts org-capture
gnus-art mm-uu mml2015 mm-view mml-smime smime dig mailcap gnus-sum
gnus-group gnus-undo gnus-start gnus-cloud nnimap nnmail mail-source tls
gnutls utf7 netrc nnoo parse-time gnus-spec gnus-int gnus-range message
rfc822 mml mml-sec epg mm-decode mm-bodies mm-encode mail-parse rfc2231
rfc2047 rfc2045 ietf-drums gmm-utils mailheader gnus-win gnus gnus-ems
nnheader mail-utils org-eldoc org-w3m org-rmail org-mhe org-irc org-info
org-habit org-gnus org-docview doc-view subr-x jka-compr image-mode
dired org-bibtex bibtex org-bbdb org-agenda org-element avl-tree org
org-macro org-footnote org-pcomplete org-list org-faces org-entities
noutline outline easy-mmode org-version ob-shell ob-R ob-python
ob-plantuml ob-org ob-gnuplot ob-ditaa ob-calc calc-store calc-trail
calc-ext calc calc-loaddefs calc-macs ob-awk ob-dot ob-maxima ob-latex
ob-emacs-lisp ob ob-tangle org-src ob-ref ob-lob ob-table ob-keys ob-exp
ob-comint tramp tramp-compat auth-source cl-seq eieio eieio-core cl-macs
gnus-util mm-util help-fns mail-prsvr password-cache tramp-loaddefs
trampver ucs-normalize shell pcomplete advice comint ansi-color ring
ob-core ob-eval org-compat org-macs org-loaddefs format-spec find-func
bbdb-anniv diary-lib diary-loaddefs cal-menu calendar cal-loaddefs
bbdb-com crm mailabbrev bbdb bbdb-site timezone bbdb-loaddefs finder-inf
tex-site info package epg-config seq byte-opt gv bytecomp byte-compile
cl-extra help-mode cconv edmacro kmacro recentf tree-widget wid-edit
easymenu battery time wheatgrass-theme paren savehist saveplace
elec-pair desktop frameset cl-loaddefs pcase cl-lib delsel cua-base
cus-start cus-load time-date mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
elisp-mode lisp-mode prog-mode register page menu-bar rfn-eshadow timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
frame cl-generic cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek romanian
slovak czech european ethiopic indian cyrillic chinese charscript
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote dbusbind inotify
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 686459 29249)
 (symbols 48 109469 0)
 (miscs 40 20792 11437)
 (strings 32 173511 14163)
 (string-bytes 1 6050287)
 (vectors 16 74872)
 (vector-slots 8 1180979 10259)
 (floats 8 640 309)
 (intervals 56 4626 0)
 (buffers 976 206))




Acknowledgement sent to nljlistbox2@HIDDEN (N. Jackson):
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#27253; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 16 Jun 2022 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.